package com.ruoyi.system.domain;



import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;
import com.ruoyi.common.core.domain.BaseEntity;
import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 直流舱系统表 product_directcurrent
 *
 * @author ruoyi
 */

public class ProductDirectcurrent extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @Excel(name = "主键id", cellType = ColumnType.NUMERIC)
    private Long id;

    /** 产品id */
    @Excel(name = "产品id")

    private String productId;

    /** 电芯类型 */
    @Excel(name = "电芯类型")

    private String electricitycellType;

    /** 额定容量（kwh） */
    @Excel(name = "额定容量（kwh）")

    private BigDecimal ratedCapacity;

    /** 电池配置 */
    @Excel(name = "电池配置")

    private String batteryConfiguration;

    /** 额定直流电压（V） */
    @Excel(name = "额定直流电压（V）")

    private BigDecimal ratedDcVoltage;

    /** 直流电压范围（V） */
    @Excel(name = "直流电压范围（V）")

    private String dcVoltageRange;

    /** 充放电倍率（C） */
    @Excel(name = "充放电倍率（C）")

    private BigDecimal chargeDischargeRate;

    /** 额定功率（kw） */
    @Excel(name = "额定功率（kw）")

    private BigDecimal ratedPower;

    /** 最大循环效率（%） */
    @Excel(name = "最大循环效率（%）")

    private BigDecimal maximumCycleEfficiency;

    /** BMS保护架构 */
    @Excel(name = "BMS保护架构")

    private String bmsProtectionArchitecture;

    /** 汇流方式 */
    @Excel(name = "汇流方式")

    private String confluenceMode;

    /** 消防 */
    @Excel(name = "消防")

    private String fireFighting;

    /** 冷却方式 */
    @Excel(name = "冷却方式")

    private String coolingMethod;

    /** 防护等级 */
    @Excel(name = "防护等级")

    private String protectionLevel;

    /** 防腐等级 */
    @Excel(name = "防腐等级")

    private String antiCorrosionLevel;

    /** 工作环境温度 */
    @Excel(name = "工作环境温度")

    private BigDecimal workingTemperature;

    /** 允许湿度范围 */
    @Excel(name = "允许湿度范围")

    private BigDecimal allowableHumidityRange;

    /** 海拔 */
    @Excel(name = "海拔")
    private BigDecimal altitude;

    /** 尺寸 */
    @Excel(name = "尺寸")

    private String directCurrentSize;

    /** 充放电插座数量 */
    @Excel(name = "充放电插座数量", cellType = ColumnType.NUMERIC)

    private Integer numberSockets;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getProductId()
    {
        return productId;
    }

    public void setProductId(String productId)
    {
        this.productId = productId;
    }

    public String getElectricitycellType()
    {
        return electricitycellType;
    }

    public void setElectricitycellType(String electricitycellType)
    {
        this.electricitycellType = electricitycellType;
    }

    public BigDecimal getRatedCapacity()
    {
        return ratedCapacity;
    }

    public void setRatedCapacity(BigDecimal ratedCapacity)
    {
        this.ratedCapacity = ratedCapacity;
    }

    public String getBatteryConfiguration()
    {
        return batteryConfiguration;
    }

    public void setBatteryConfiguration(String batteryConfiguration)
    {
        this.batteryConfiguration = batteryConfiguration;
    }

    public BigDecimal getRatedDcVoltage()
    {
        return ratedDcVoltage;
    }

    public void setRatedDcVoltage(BigDecimal ratedDcVoltage)
    {
        this.ratedDcVoltage = ratedDcVoltage;
    }

    public String getDcVoltageRange()
    {
        return dcVoltageRange;
    }

    public void setDcVoltageRange(String dcVoltageRange)
    {
        this.dcVoltageRange = dcVoltageRange;
    }

    public BigDecimal getChargeDischargeRate()
    {
        return chargeDischargeRate;
    }

    public void setChargeDischargeRate(BigDecimal chargeDischargeRate)
    {
        this.chargeDischargeRate = chargeDischargeRate;
    }

    public BigDecimal getRatedPower()
    {
        return ratedPower;
    }

    public void setRatedPower(BigDecimal ratedPower)
    {
        this.ratedPower = ratedPower;
    }

    public BigDecimal getMaximumCycleEfficiency()
    {
        return maximumCycleEfficiency;
    }

    public void setMaximumCycleEfficiency(BigDecimal maximumCycleEfficiency)
    {
        this.maximumCycleEfficiency = maximumCycleEfficiency;
    }

    public String getBmsProtectionArchitecture()
    {
        return bmsProtectionArchitecture;
    }

    public void setBmsProtectionArchitecture(String bmsProtectionArchitecture)
    {
        this.bmsProtectionArchitecture = bmsProtectionArchitecture;
    }

    public String getConfluenceMode()
    {
        return confluenceMode;
    }

    public void setConfluenceMode(String confluenceMode)
    {
        this.confluenceMode = confluenceMode;
    }

    public String getFireFighting()
    {
        return fireFighting;
    }

    public void setFireFighting(String fireFighting)
    {
        this.fireFighting = fireFighting;
    }

    public String getCoolingMethod()
    {
        return coolingMethod;
    }

    public void setCoolingMethod(String coolingMethod)
    {
        this.coolingMethod = coolingMethod;
    }

    public String getProtectionLevel()
    {
        return protectionLevel;
    }

    public void setProtectionLevel(String protectionLevel)
    {
        this.protectionLevel = protectionLevel;
    }

    public String getAntiCorrosionLevel()
    {
        return antiCorrosionLevel;
    }

    public void setAntiCorrosionLevel(String antiCorrosionLevel)
    {
        this.antiCorrosionLevel = antiCorrosionLevel;
    }

    public BigDecimal getWorkingTemperature()
    {
        return workingTemperature;
    }

    public void setWorkingTemperature(BigDecimal workingTemperature)
    {
        this.workingTemperature = workingTemperature;
    }

    public BigDecimal getAllowableHumidityRange()
    {
        return allowableHumidityRange;
    }

    public void setAllowableHumidityRange(BigDecimal allowableHumidityRange)
    {
        this.allowableHumidityRange = allowableHumidityRange;
    }

    public BigDecimal getAltitude()
    {
        return altitude;
    }

    public void setAltitude(BigDecimal altitude)
    {
        this.altitude = altitude;
    }

    public String getDirectCurrentSize()
    {
        return directCurrentSize;
    }

    public void setDirectCurrentSize(String directCurrentSize)
    {
        this.directCurrentSize = directCurrentSize;
    }

    public Integer getNumberSockets()
    {
        return numberSockets;
    }

    public void setNumberSockets(Integer numberSockets)
    {
        this.numberSockets = numberSockets;
    }

    @Override
    public String toString()
    {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("productId", getProductId())
            .append("electricitycellType", getElectricitycellType())
            .append("ratedCapacity", getRatedCapacity())
            .append("batteryConfiguration", getBatteryConfiguration())
            .append("ratedDcVoltage", getRatedDcVoltage())
            .append("dcVoltageRange", getDcVoltageRange())
            .append("chargeDischargeRate", getChargeDischargeRate())
            .append("ratedPower", getRatedPower())
            .append("maximumCycleEfficiency", getMaximumCycleEfficiency())
            .append("bmsProtectionArchitecture", getBmsProtectionArchitecture())
            .append("confluenceMode", getConfluenceMode())
            .append("fireFighting", getFireFighting())
            .append("coolingMethod", getCoolingMethod())
            .append("protectionLevel", getProtectionLevel())
            .append("antiCorrosionLevel", getAntiCorrosionLevel())
            .append("workingTemperature", getWorkingTemperature())
            .append("allowableHumidityRange", getAllowableHumidityRange())
            .append("altitude", getAltitude())
            .append("directCurrentSize", getDirectCurrentSize())
            .append("numberSockets", getNumberSockets())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
